<?php
/**
 * Add in_gallery_flickr extension to the wizard in page module
 *
 * @package TYPO3
 * @subpackage tx_ingalleryglickr
 */
class ingalleryflickr_pi1_wizicon {

  const KEY = 'in_gallery_flickr';

  /**
   * Processing the wizard items array
   *
   * @param array $wizardItems The wizard items
   * @return array array with wizard items
   */
  public function proc($wizardItems) {
    $wizardItems['plugins_tx_' . self::KEY.'_pi1'] = array(
      'icon'      => t3lib_extMgm::extRelPath(self::KEY) . 'Resources/Public/Icons/ce_wiz.gif',
      'title'     => $GLOBALS['LANG']->sL('LLL:EXT:in_gallery_flickr/Resources/Private/Language/locallang_db.xml:pluginName'),
      'description' => '',
      'params'    => '&defVals[tt_content][CType]=list&defVals[tt_content][list_type]=ingalleryflickr_pi1'
    );
    $wizardItems['plugins_tx_' . self::KEY.'_pi2'] = array(
      'icon'      => t3lib_extMgm::extRelPath(self::KEY) . 'Resources/Public/Icons/ce_wiz.gif',
      'title'     => $GLOBALS['LANG']->sL('LLL:EXT:in_gallery_flickr/Resources/Private/Language/locallang_db.xml:pluginName2'),
      'description' => '',
      'params'    => '&defVals[tt_content][CType]=list&defVals[tt_content][list_type]=ingalleryflickr_pi2'
    );

    return $wizardItems;
  }
}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/in_gallery_flickr/Resources/Private/Php/class.ingalleryflickr_wizicon.php']) {
  include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/in_gallery_flickr/Resources/Private/Php/class.ingalleryflickr_wizicon.php']);
}
