<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}

$extensionName = \TYPO3\CMS\Core\Utility\GeneralUtility::underscoredToUpperCamelCase($_EXTKEY);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('Inouit\InGalleryFlickr\Domain\Model\Album');
$TCA['tx_ingalleryflickr_domain_model_album'] = array (
	'ctrl' => array (
		'title' => 'LLL:EXT:in_gallery_flickr/Resources/Private/Language/locallang_db.xml:tx_ingalleryflickr_domain_model_album',
		'label' => 'title',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'delete' => 'deleted',
		'default_sortby' => 'ORDER BY sorting ASC',
		'sortby' => 'sorting',
		'dividers2tabs' => TRUE,
		'searchFields' => 'album_id,title',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime'
		),
		'dynamicConfigFile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY).'Configuration/TCA/Album.php',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY).'Resources/Public/Icons/icon_tx_ingalleryflickr_album.gif'
	)
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	$_EXTKEY,
	'Pi1',
	'LLL:EXT:in_gallery_flickr/Resources/Private/Language/locallang_db.xml:pluginName'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	$_EXTKEY,
	'Pi2',
	'LLL:EXT:in_gallery_flickr/Resources/Private/Language/locallang_db.xml:pluginName2'
);

/***************
 * Wizard pi1
 */
$pluginSignature = strtolower($extensionName) . '_pi1';
if (TYPO3_MODE == 'BE') {
	$TBE_MODULES_EXT['xMOD_db_new_content_el']['addElClasses'][$pluginSignature . '_wizicon'] =
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'Resources/Private/Php/class.' . strtolower($extensionName) . '_wizicon.php';
}

$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist'][$pluginSignature] = 'select_key';
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue($pluginSignature, 'FILE:EXT:' . $_EXTKEY . '/Configuration/FlexForms/gallery.xml');


/**
 * Include TypoScript
 */
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/TypoScript/Main', 'Gallery Flickr - main configuration');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/TypoScript/InSitemap', 'Gallery Flickr - in_sitemap configuration');

?>